#pragma once
#include "Context.h"

class CHTTPHeaderParser
{
public:
	//!	ヘッダ解析
	static int ParseRequestHeader(CString &header, CContextRequestInfo requestInfo);

	//!	ヘッダ生成
	static CString GetResponseHeader(CContextResponseInfo responseInfo);

	//!	レスポンステク氏と取得
	static CString GetResponseText(int code, CString responseText = "");
};
